import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ChartParent } from '../chart-parent';
import { PghChartTooltipService } from '../chart-tooltip.service';
import { PghStatBoxService } from '../statbox.service';
import { PghChartColorsService } from '../chart-colors.service';
import { PghMapChartDataItem, PghSimpleHighchartsSeries } from '../models';
import * as i0 from "@angular/core";
export declare class PghMapChartComponent extends ChartParent implements OnChanges, OnInit {
    protected statBoxService?: PghStatBoxService | undefined;
    chartInstance: import("@angular/core").WritableSignal<import("highcharts").Chart | undefined>;
    chartOptions: import("@angular/core").WritableSignal<import("highcharts").Options>;
    series: import("@angular/core").InputSignal<PghSimpleHighchartsSeries<PghMapChartDataItem[]>[]>;
    userCustomChartOptions: import("@angular/core").InputSignal<import("highcharts").Options>;
    defaultSeriesType: import("@angular/core").WritableSignal<string>;
    protected CHART_PLACEHOLDER_SERIES: never[];
    protected chartTooltipService: PghChartTooltipService;
    protected chartColorsService: PghChartColorsService;
    constructor(statBoxService?: PghStatBoxService | undefined);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    private setChartOptions;
    updateChartData(): void;
    onChartInstanceReady(chart: Highcharts.Chart): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghMapChartComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghMapChartComponent, "pgh-map-chart", never, { "series": { "alias": "series"; "required": false; "isSignal": true; }; "userCustomChartOptions": { "alias": "customChartOptions"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
