import { OnChanges, SimpleChanges } from '@angular/core';
import * as Highcharts from 'highcharts';
import { PghSimpleHighchartsSeries } from '../models';
import { ChartParent } from '../chart-parent';
import { PghChartTooltipService } from '../chart-tooltip.service';
import { PghStatBoxService } from '../statbox.service';
import { PghChartColorsService } from '../chart-colors.service';
import * as i0 from "@angular/core";
export declare class PghMiniChartComponent extends ChartParent implements OnChanges {
    protected chartTooltipService: PghChartTooltipService;
    protected chartColorsService: PghChartColorsService;
    protected statBoxService?: PghStatBoxService | undefined;
    chartOptions: import("@angular/core").WritableSignal<Highcharts.Options>;
    userCustomChartOptions: import("@angular/core").InputSignal<Highcharts.Options>;
    series: import("@angular/core").InputSignal<PghSimpleHighchartsSeries<import("../models").PghSimpleChartData>[]>;
    defaultSeriesType: import("@angular/core").InputSignal<"areaspline" | "column">;
    protected readonly CHART_PLACEHOLDER_SERIES: {
        name: string;
        data: number[];
        type: "areaspline" | "column";
    }[];
    constructor(chartTooltipService: PghChartTooltipService, chartColorsService: PghChartColorsService, statBoxService?: PghStatBoxService | undefined);
    ngOnChanges(_changes: SimpleChanges): void;
    private updateChartOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghMiniChartComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghMiniChartComponent, "pgh-mini-chart", never, { "userCustomChartOptions": { "alias": "customChartOptions"; "required": false; "isSignal": true; }; "series": { "alias": "series"; "required": false; "isSignal": true; }; "defaultSeriesType": { "alias": "seriesType"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
