import { ReplaySubject } from 'rxjs';
import { PghChartStatBox } from './models';
import * as i0 from "@angular/core";
export declare class PghStatBoxService {
    statBoxes: PghChartStatBox[];
    $activeStatBoxes: ReplaySubject<PghChartStatBox<any>[]>;
    get activeStatBoxes(): PghChartStatBox<any>[];
    constructor();
    setActiveStatBoxes(statBoxes: PghChartStatBox[]): void;
    addActiveStatBox(statBox: PghChartStatBox): void;
    removeActiveStatBox(statBox: PghChartStatBox): void;
    setOnlyActiveStatBox(statBox: PghChartStatBox): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghStatBoxService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghStatBoxService>;
}
