import { OnInit } from '@angular/core';
import { PghConditionOperators } from '../models';
import { ControlValueAccessor, UntypedFormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class PghConditionOperatorComponent implements OnInit, ControlValueAccessor {
    value: import("@angular/core").InputSignal<PghConditionOperators | undefined>;
    valueChanges: import("@angular/core").OutputEmitterRef<PghConditionOperators>;
    operatorControl: UntypedFormControl;
    onChange?: (newValue: PghConditionOperators) => void;
    onTouched?: (value: any) => void;
    constructor();
    ngOnInit(): void;
    registerOnChange(fn: (newValue: PghConditionOperators) => void): void;
    registerOnTouched(fn: (value: any) => void): void;
    writeValue(value: PghConditionOperators): void;
    private setUpOperatorChangeValueListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghConditionOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghConditionOperatorComponent, "pgh-condition-operator", never, { "value": { "alias": "value"; "required": false; "isSignal": true; }; }, { "valueChanges": "valueChanges"; }, never, never, false, never>;
}
