export type PghLanguage = 'fa' | 'en';
export type PghLocaleMessage = PghFilterChipsLocaleMessage | PghConditionBuilderLocaleMessage | PghDateRangePickerLocaleMessage | PghConfirmDialogLocaleMessage | PghAccidentallyClosedLocaleMessage | PghFullChartLocaleMessage | PghDragAndDropLocaleMessage | PghNotifLocaleMessage | PghCountDownButtonText;
export type PghConditionBuilderLocaleMessage = 'CONDITION_BUILDER_RESET_BUTTON' | 'CONDITION_BUILDER_DELETE_BUTTON' | 'CONDITION_BUILDER_NEW_FILTER_BUTTON' | 'CONDITION_BUILDER_VALIDATION_HINT' | 'CONDITION_BUILDER_OR' | 'CONDITION_BUILDER_AND';
export type PghDateRangePickerLocaleMessage = 'DATE_RANGE_PICKER_FROM' | 'DATE_RANGE_PICKER_TO' | 'DATE_RANGE_PICKER_START_DATE' | 'DATE_RANGE_PICKER_END_DATE' | 'DATE_RANGE_PICKER_TODAY' | 'DATE_RANGE_PICKER_YESTERDAY' | 'DATE_RANGE_PICKER_LAST_THIRTY_DAYS' | 'DATE_RANGE_PICKER_LAST_SIXTY_DAYS' | 'DATE_RANGE_PICKER_LAST_SEVEN_DAYS' | 'DATE_RANGE_PICKER_CURRENT_MONTH' | 'DATE_RANGE_PICKER_DELETE_BUTTON';
export type PghFilterChipsLocaleMessage = 'FILTER_CHIPS_NEW_FILTER_BUTTON' | 'FILTER_CHIPS_SEARCH_BUTTON' | 'FILTER_CHIPS_SELECT_ALL_OPTIONS';
export type PghSsoLocaleMessage = 'SSO_SERVICES_SHORTCUT_TITLE' | 'SSO_USER_MENU_USER_PROFILE' | 'SSO_USER_MENU_DARK_MODE' | 'SSO_USER_MENU_LIGHT_MODE' | 'SSO_USER_MENU_CHANGE_PASSWORD' | 'SSO_USER_MENU_LOGOUT' | 'SSO_ADMIN_SERVICES_SHORTCUT_TITLE';
export type PghConfirmDialogLocaleMessage = 'CONFIRM_DIALOG_ACCEPT_BUTTON' | 'CONFIRM_DIALOG_REJECT_BUTTON' | 'CONFIRM_DIALOG_DONT_SHOW_AGAIN_CHECKBOX';
export type PghAccidentallyClosedLocaleMessage = 'ACCIDENTALLY_CLOSED_TITLE' | 'ACCIDENTALLY_CLOSED_MESSAGE' | 'ACCIDENTALLY_CLOSED_REJECT_BUTTON' | 'ACCIDENTALLY_CLOSED_ACCEPT_BUTTON';
export type PghFullChartLocaleMessage = 'FULL_CHART_PLACEHOLDER_TEXT';
export type PghDragAndDropLocaleMessage = 'DRAG_AND_DROP_DELETE_BUTTON' | 'DRAG_AND_DROP_DOWNLOAD_BUTTON';
export type PghNotifLocaleMessage = 'NOTIF_CLOSE_BUTTON';
export type PghCountDownButtonText = 'RESTART_BUTTON_TEXT' | 'RESTART_BUTTON_TEXT_CONJUNCTION';
