import { MatSnackBar, MatSnackBarConfig, MatSnackBarRef } from '@angular/material/snack-bar';
import { PghSnackBarOptions } from './models';
import { PghSnackBarComponent } from './snack-bar/snack-bar.component';
import * as i0 from "@angular/core";
export declare class PghNotifService {
    private snackbar;
    private matSnackBarConfig;
    private SNACK_BAR_TYPES;
    constructor(snackbar: MatSnackBar, matSnackBarConfig: MatSnackBarConfig);
    info(message: string, options?: PghSnackBarOptions): MatSnackBarRef<PghSnackBarComponent>;
    success(message: string, options?: PghSnackBarOptions): MatSnackBarRef<PghSnackBarComponent>;
    error(message: string, options?: PghSnackBarOptions): MatSnackBarRef<PghSnackBarComponent>;
    warn(message: string, options?: PghSnackBarOptions): MatSnackBarRef<PghSnackBarComponent>;
    private showNotif;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghNotifService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghNotifService>;
}
