import { FormGroup } from '@angular/forms';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghLayoutOtpLoginInfo, PghOtpCompleteUserDataForm } from '../models';
import * as i0 from "@angular/core";
export declare class PghCompleteUserDataComponent {
    private formBuilder;
    readonly buttonText: import("@angular/core").InputSignal<string>;
    readonly pageTitle: import("@angular/core").InputSignal<string>;
    readonly submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    readonly description: import("@angular/core").InputSignal<string>;
    readonly formSubmit: import("@angular/core").OutputEmitterRef<PghOtpCompleteUserDataForm>;
    readonly registrationFormContent: import("@angular/core").InputSignal<PghLayoutOtpLoginInfo>;
    form: FormGroup;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghCompleteUserDataComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghCompleteUserDataComponent, "pgh-complete-user-data", never, { "buttonText": { "alias": "buttonText"; "required": true; "isSignal": true; }; "pageTitle": { "alias": "pageTitle"; "required": true; "isSignal": true; }; "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "registrationFormContent": { "alias": "registrationFormContent"; "required": false; "isSignal": true; }; }, { "formSubmit": "formSubmit"; }, never, never, true, never>;
}
