import { OnInit } from '@angular/core';
import { UntypedFormBuilder } from '@angular/forms';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghForgetPasswordForm } from '../models';
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare class PghForgetPasswordComponent implements OnInit {
    private formBuilder;
    private route;
    readonly formSubmit: import("@angular/core").OutputEmitterRef<PghForgetPasswordForm>;
    readonly submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    readonly initialEmailValue: import("@angular/core").InputSignal<string | undefined>;
    form: import("@angular/forms").UntypedFormGroup;
    constructor(formBuilder: UntypedFormBuilder, route: ActivatedRoute);
    ngOnInit(): void;
    recoverPassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghForgetPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghForgetPasswordComponent, "pgh-forget-password", never, { "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "initialEmailValue": { "alias": "initialEmailValue"; "required": false; "isSignal": true; }; }, { "formSubmit": "formSubmit"; }, never, never, false, never>;
}
