import { OnChanges, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghLoginForm } from '../models';
import { Params } from '@angular/router';
import * as i0 from "@angular/core";
export declare class PghLoginComponent implements OnInit, OnChanges {
    private formBuilder;
    pageTitle: import("@angular/core").InputSignal<string>;
    description: import("@angular/core").InputSignal<string>;
    includeForgetPasswordLink: import("@angular/core").InputSignal<boolean>;
    includeRegisterLink: import("@angular/core").InputSignal<boolean>;
    type: import("@angular/core").InputSignal<"EMAIL" | "USERNAME">;
    formSubmit: import("@angular/core").OutputEmitterRef<PghLoginForm>;
    submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    buttonText: import("@angular/core").InputSignal<string>;
    form: UntypedFormGroup;
    isPasswordRevealed: import("@angular/core").WritableSignal<boolean>;
    forgetPasswordLinkQueryParams: import("@angular/core").WritableSignal<Params | undefined>;
    constructor(formBuilder: UntypedFormBuilder);
    ngOnChanges(): void;
    ngOnInit(): void;
    onSubmit(): void;
    bindEmailValueChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghLoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghLoginComponent, "pgh-login", never, { "pageTitle": { "alias": "pageTitle"; "required": false; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "includeForgetPasswordLink": { "alias": "includeForgetPasswordLink"; "required": false; "isSignal": true; }; "includeRegisterLink": { "alias": "includeRegisterLink"; "required": false; "isSignal": true; }; "type": { "alias": "type"; "required": false; "isSignal": true; }; "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "buttonText": { "alias": "buttonText"; "required": false; "isSignal": true; }; }, { "formSubmit": "formSubmit"; }, never, never, false, never>;
}
