import { PghLayoutOtpLoginInfo } from '../models';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import * as i0 from "@angular/core";
export declare class PghVerificationCodeComponent {
    private pghCountdownTimerService;
    readonly pageTitle: import("@angular/core").InputSignal<string>;
    readonly buttonText: import("@angular/core").InputSignal<string>;
    readonly description: import("@angular/core").InputSignal<string>;
    readonly codeLength: import("@angular/core").InputSignal<number>;
    readonly submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    readonly resendDurationSeconds: import("@angular/core").InputSignal<number>;
    readonly canEditPhoneNumber: import("@angular/core").InputSignal<boolean>;
    readonly isPrivacyTextVisible: import("@angular/core").InputSignal<boolean>;
    readonly registrationFormContent: import("@angular/core").InputSignal<PghLayoutOtpLoginInfo>;
    readonly resendCode: import("@angular/core").OutputEmitterRef<void>;
    readonly submitCode: import("@angular/core").OutputEmitterRef<string>;
    isButtonDisabled: boolean;
    currentCode: string;
    onCodeChanged(code: string): void;
    onCodeCompleted(code: string): void;
    reSendVerificationCode(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghVerificationCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghVerificationCodeComponent, "pgh-verification-code", never, { "pageTitle": { "alias": "pageTitle"; "required": true; "isSignal": true; }; "buttonText": { "alias": "buttonText"; "required": true; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "codeLength": { "alias": "codeLength"; "required": false; "isSignal": true; }; "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "resendDurationSeconds": { "alias": "resendDurationSeconds"; "required": false; "isSignal": true; }; "canEditPhoneNumber": { "alias": "canEditPhoneNumber"; "required": false; "isSignal": true; }; "isPrivacyTextVisible": { "alias": "isPrivacyTextVisible"; "required": false; "isSignal": true; }; "registrationFormContent": { "alias": "registrationFormContent"; "required": false; "isSignal": true; }; }, { "resendCode": "resendCode"; "submitCode": "submitCode"; }, never, never, true, never>;
}
