import { HttpErrorResponse } from '@angular/common/http';
import { Router } from '@angular/router';
import { PghErrorHandler, PghErrorHandlerResult } from './model';
import * as i0 from "@angular/core";
export declare class PghErrorHandlerService {
    private router;
    private errorDefiner;
    private static isHttpErrorResponse;
    private static getToastMessageOfErrorDef;
    constructor(router: Router, errorDefiner: PghErrorHandler<any>);
    handleError(response: HttpErrorResponse): PghErrorHandlerResult;
    private matchErrorDefinition;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghErrorHandlerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghErrorHandlerService>;
}
