import { PipeTransform } from '@angular/core';
import { DomSanitizer, SafeHtml, SafeStyle, SafeScript, SafeUrl, SafeResourceUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class PghSafePipe implements PipeTransform {
    private readonly sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: string, type: 'html' | 'style' | 'script' | 'url' | 'resourceUrl'): SafeHtml | SafeStyle | SafeScript | SafeUrl | SafeResourceUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSafePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<PghSafePipe, "pghSafe", false>;
}
