export declare class FileUtils {
    static defaultFilename: string;
    static urlToFile(url: string, filename?: string): Promise<File>;
    private static base64ToBlob;
    static base64ToFile(file: string, filename?: string): File;
    static blobToFile(blob: Blob, filename?: string): File;
    static fileOrBlobToBase64(file: File | Blob | undefined): Promise<string> | undefined;
    static fileNameExtension(fileName: string): string;
    static convertFileListToArray(_files: FileList): File[];
    static downloadFile(file: File): void;
}
