import { Router } from '@angular/router';
export declare class UrlUtils {
    private static concatTwoPaths;
    static concatPaths(...paths: (string | number | undefined)[]): string;
    static removeTrailingSlashes(path: string): string;
    static mergeParamsToUrl(url: string, params: Record<string, string>): string;
    static removeOrigin(url: string): string;
    static removeQueryParams(router: Router, paramsToRemove: string[]): void;
}
