import { AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { PghFilterChipConfig, PghFilterChipInitValue, PghFilterChipItemsConnectorOptions } from '../models';
import { PghFilterChipsMarkerDirective } from '../filter-chips.directive';
import * as i0 from "@angular/core";
export declare class PghFilterChipSelectComponent implements OnChanges, AfterViewInit {
    private filterChipsMarkerConnector;
    filter: import("@angular/core").InputSignal<PghFilterChipConfig>;
    options: import("@angular/core").InputSignal<{
        value: any;
        name: string;
    }[]>;
    initialValue: import("@angular/core").InputSignal<PghFilterChipInitValue<any> | null | undefined>;
    filterMarker?: PghFilterChipsMarkerDirective;
    constructor(filterChipsMarkerConnector: PghFilterChipItemsConnectorOptions);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghFilterChipSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghFilterChipSelectComponent, "pgh-filter-chip-select", never, { "filter": { "alias": "filter"; "required": true; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; "initialValue": { "alias": "initialValue"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
