import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Subject } from 'rxjs';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class PghImageSliderComponent implements OnInit, OnChanges {
    private matDialog;
    private _currentIndex;
    private skipSlider;
    get currentIndex(): number;
    set currentIndex(value: number);
    slides: import("@angular/core").InputSignal<string[]>;
    currentSlide: string;
    sliderTimer$: Subject<unknown>;
    constructor(matDialog: MatDialog);
    ngOnInit(): void;
    selectImage(index: number): void;
    ngOnChanges(changes: SimpleChanges): void;
    openImageLightbox(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghImageSliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghImageSliderComponent, "pgh-image-slider", never, { "slides": { "alias": "slides"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
