import { AfterViewInit, OnChanges, OnDestroy, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import { MatFormField } from '@angular/material/form-field';
import { PghErrorMessages } from './models';
import * as i0 from "@angular/core";
export declare class PghFieldErrorDirective implements OnChanges, OnDestroy, AfterViewInit {
    private template;
    private containerRef;
    private DEFAULT_ERROR_MESSAGES;
    private _formField?;
    private _ngControl?;
    private _destroyed;
    _errorMessages: import("@angular/core").InputSignal<string | PghErrorMessages | null>;
    errorMessages: PghErrorMessages;
    private get ngControl();
    constructor(template: TemplateRef<any>, containerRef: ViewContainerRef, DEFAULT_ERROR_MESSAGES: PghErrorMessages, _formField?: MatFormField | undefined, _ngControl?: NgControl | undefined);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private setErrorMessages;
    private handleErrors;
    private createErrorView;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghFieldErrorDirective, [null, null, null, { optional: true; }, { optional: true; self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghFieldErrorDirective, "[pghFieldError]", never, { "_errorMessages": { "alias": "pghFieldError"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
