import { OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { PghLightboxType } from './models';
import * as i0 from "@angular/core";
export declare class PghLightboxDirective implements OnChanges {
    private matDialog;
    content: import("@angular/core").InputSignal<string | TemplateRef<any>>;
    type: import("@angular/core").InputSignal<PghLightboxType>;
    pghLightboxClosed: import("@angular/core").OutputEmitterRef<void>;
    private readonly lightBoxLoadingTypes;
    onClick(): void;
    private isLoadingType;
    private isContentTemplate;
    constructor(matDialog: MatDialog);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghLightboxDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghLightboxDirective, "[pghLightbox]", never, { "content": { "alias": "pghLightbox"; "required": true; "isSignal": true; }; "type": { "alias": "pghLightboxType"; "required": false; "isSignal": true; }; }, { "pghLightboxClosed": "pghLightboxClosed"; }, never, never, false, never>;
}
