import { MonoTypeOperatorFunction } from 'rxjs';
import { PghLoaderToggleable } from './loader.models';
/**
 * Add this operator to an observable and it'll activate the loader (input)
 * and deactivate it when the observable completes
 * @param loader
 */
export declare const pghLoader: <T>(loader: PghLoaderToggleable | undefined | null) => MonoTypeOperatorFunction<T>;
