import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PghSmoothHeightDirective implements OnChanges {
    private element;
    /**
     * This triggers the ngOnChanges method
     */
    smoothHeight: import("@angular/core").InputSignal<{
        value: unknown;
        params: {
            duration: string;
        };
    }>;
    pulse: boolean;
    startHeight: number;
    styleOverflow: string;
    constructor(element: ElementRef);
    get smoothHeightAnimation(): {
        value: boolean;
        params: {
            startHeight: number;
            duration: string;
        };
    };
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSmoothHeightDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghSmoothHeightDirective, "[pghSmoothHeight]", never, { "smoothHeight": { "alias": "pghSmoothHeight"; "required": true; "isSignal": true; }; }, {}, never, never, false, never>;
}
