import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import * as i0 from "@angular/core";
export declare class PghStatsBoxComponent implements OnInit, OnChanges {
    name: import("@angular/core").InputSignal<string>;
    value: import("@angular/core").InputSignal<string | number | null | undefined>;
    percent: import("@angular/core").InputSignal<number | null | undefined>;
    showPercent: import("@angular/core").InputSignal<boolean>;
    desc: import("@angular/core").InputSignal<string | null | undefined>;
    tooltip: import("@angular/core").InputSignal<string | null | undefined>;
    loader: import("@angular/core").InputSignal<PghLoader | undefined>;
    isValueNumber: import("@angular/core").WritableSignal<boolean>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghStatsBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghStatsBoxComponent, "pgh-stats-box", never, { "name": { "alias": "name"; "required": true; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "percent": { "alias": "percent"; "required": false; "isSignal": true; }; "showPercent": { "alias": "showPercent"; "required": false; "isSignal": true; }; "desc": { "alias": "desc"; "required": false; "isSignal": true; }; "tooltip": { "alias": "tooltip"; "required": false; "isSignal": true; }; "loader": { "alias": "loader"; "required": false; "isSignal": true; }; }, {}, never, ["[pgh-footer]", "[pgh-left]"], false, never>;
}
