import { OnChanges, SimpleChanges } from '@angular/core';
import { PghStatusLabelConfig, PghStatusLabelSize, PghStatusLabelStyleMode, PghStatusTypeDef, PghStatusTypeMappings } from './model';
import * as i0 from "@angular/core";
export declare class PghStatusLabelComponent implements OnChanges {
    private statusConfig;
    TYPE_CSS_CLASS: Record<string, PghStatusTypeDef>;
    type: import("@angular/core").InputSignal<string>;
    label: import("@angular/core").InputSignal<string | undefined>;
    showIcon: import("@angular/core").InputSignal<boolean>;
    typeMapping: import("@angular/core").InputSignal<PghStatusTypeMappings<string> | undefined>;
    styleMode: import("@angular/core").InputSignal<PghStatusLabelStyleMode>;
    labelSize: import("@angular/core").InputSignal<PghStatusLabelSize>;
    constructor(statusConfig: PghStatusLabelConfig<string>);
    private updateAdditionalTypeDefinitions;
    get typeConfig(): PghStatusTypeDef;
    private mapTypeMappingsToTypeDefinitions;
    private enrichMappingsOf;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghStatusLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghStatusLabelComponent, "pgh-status-label", never, { "type": { "alias": "type"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "showIcon": { "alias": "showIcon"; "required": false; "isSignal": true; }; "typeMapping": { "alias": "typeMapping"; "required": false; "isSignal": true; }; "styleMode": { "alias": "styleMode"; "required": false; "isSignal": true; }; "labelSize": { "alias": "labelSize"; "required": false; "isSignal": true; }; }, {}, never, ["*"], false, never>;
}
