import { BehaviorSubject } from 'rxjs';
import { PghTreeNode } from './tree.constants';
import * as i0 from "@angular/core";
export declare class PghTreeService {
    dataChange: BehaviorSubject<PghTreeNode[]>;
    TREE_DATA: Record<string, any>;
    get data(): PghTreeNode[];
    constructor();
    initialize(): void;
    buildFileTree(obj: Record<string, any>, level: number): PghTreeNode[];
    insertItem(parent: PghTreeNode, name: string): void;
    updateItem(node: PghTreeNode, name: string): void;
    setTreeData(data: Record<string, any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghTreeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghTreeService>;
}
