import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PghTokenInterceptor implements HttpInterceptor {
    private pghSsoService;
    private pghSsoConfig;
    private refreshToken$;
    private isRefreshInProgress;
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    private handleRequestWithToken;
    private handleError;
    private handleRefreshInProgress;
    private refreshAccessToken;
    private handleRefreshError;
    private updateAuthData;
    private addAuthorizationHeader;
    private formatError;
    private isAccessTokenExpired;
    private isRefreshTokenExpired;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghTokenInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghTokenInterceptor>;
}
