export interface PghServiceShortcut {
    link: string;
    name: string;
    desc?: string;
    logo: string;
    nightLogo?: string;
    icon?: string;
    color?: 'primary' | 'accent' | 'warn';
    quickLinks?: {
        link: string;
        name: string;
        exposeTokenInUrl: boolean;
    }[];
    exposeTokenInUrl: boolean;
}
export interface PghServicesShortcutConfig {
    services: PghServiceShortcut[];
}
