import { OnDestroy } from '@angular/core';
import { PghSsoConfig, PghSsoIframeMessage } from './models';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PghSsoStorageService implements OnDestroy {
    private readonly ssoConfig;
    private localStorageFactory;
    private sharedIframe;
    iframeIncomingMessages$: Subject<PghSsoIframeMessage<string, any>>;
    isIframeLoaded: boolean;
    constructor(ssoConfig: PghSsoConfig);
    getDataFromStorage(key: string): string | undefined;
    setDataInStorage(key: string, value: string | undefined): void;
    deleteDataFromStorage(key: string): void;
    private storeCookieSecureCrossSite;
    private deleteCookie;
    private storeInLocalStorage;
    private deleteFromLocalStorage;
    private readonly IFRAME_ID;
    private initSharedIframe;
    postMessageToIframe(data: PghSsoIframeMessage): void;
    private setupIframeEventListeners;
    private iframeMessageListener;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSsoStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghSsoStorageService>;
}
