import { Router } from '@angular/router';
import { PghSsoAuthData, PghSsoAuthEnrichedData, PghSsoConfig } from './models';
import { PghSsoStorageService } from './sso-storage.service';
import * as i0 from "@angular/core";
declare const PghSsoService_base: any;
export declare class PghSsoService extends PghSsoService_base {
    private readonly ssoConfig;
    private ssoStorageService;
    private router;
    private _authData$;
    authData$: import("rxjs").Observable<PghSsoAuthEnrichedData | undefined>;
    isLoggedIn$: import("rxjs").Observable<boolean>;
    authData?: PghSsoAuthEnrichedData;
    lastAuthStorePriority: number;
    constructor(ssoConfig: PghSsoConfig, ssoStorageService: PghSsoStorageService, router: Router);
    private retrieveTokenFromStorage;
    private retrieveTokenFromUrl;
    private setupIframeEventListeners;
    storeAuthData(data: PghSsoAuthData, priority?: number): void;
    logout(priority?: number): void;
    redirectToLoginPageInSso(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSsoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghSsoService>;
}
export {};
