import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { PghSsoConfig } from '../sso-logic/models';
import { PghSsoService } from '../sso-logic/sso.service';
import { PghDarkModeService } from '@tapsellorg/angular-material-library/src/lib/common';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
declare const PghUserMenuComponent_base: (new (...args: any[]) => {
    _destroyed$: Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghUserMenuComponent extends PghUserMenuComponent_base implements OnInit {
    readonly ssoConfig: PghSsoConfig;
    private ssoService;
    private router;
    private cdr;
    private darkModeService;
    userEmail: import("@angular/core").WritableSignal<string | undefined>;
    isAvatarNotLoaded: import("@angular/core").WritableSignal<boolean>;
    userName: import("@angular/core").InputSignal<string | undefined>;
    handleLogout: import("@angular/core").InputSignal<boolean | undefined>;
    logout: import("@angular/core").OutputEmitterRef<void>;
    _destroyed$: Subject<unknown>;
    constructor(ssoConfig: PghSsoConfig, ssoService: PghSsoService, router: Router, cdr: ChangeDetectorRef, darkModeService: PghDarkModeService);
    ngOnInit(): void;
    onLogout(): void;
    toggleDarkMode(): void;
    get isDarkModeEnabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghUserMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghUserMenuComponent, "pgh-user-menu", never, { "userName": { "alias": "userName"; "required": false; "isSignal": true; }; "handleLogout": { "alias": "handleLogout"; "required": false; "isSignal": true; }; }, { "logout": "logout"; }, never, never, false, never>;
}
export {};
