import { PghChartYAxisTooltip, PghMapChartDataItem, PghPieChartData, PghSimpleHighchartsSeries } from './models';
export declare class PghChartUtils {
    static getChartSeries<T>(data: T[], seriesOptions: {
        name: string;
        dataGetter: (item: T) => number;
        yAxis?: number;
        tooltip?: PghChartYAxisTooltip;
    }): PghSimpleHighchartsSeries;
    static getPieChartSeries<T>(data: T[], seriesOptions: {
        name: string;
        dataGetter: (item: T) => {
            name: string;
            y: number;
        };
        tooltip?: PghChartYAxisTooltip;
    }): PghSimpleHighchartsSeries<PghPieChartData>;
    static getMapChartSeries(data: PghMapChartDataItem[], options: {
        name: string;
        yAxis?: number;
        tooltip?: PghChartYAxisTooltip;
    }): PghSimpleHighchartsSeries<PghMapChartDataItem[]>;
}
