export type PghConditionOperators = 'OR' | 'AND';
export interface PghConditionBuilderValue {
    operator: PghConditionOperators;
    filters: unknown[];
}
export interface PghConditionBuilderConfig {
    hasReset?: boolean;
    hasValidation?: boolean;
    resetButtonText?: string;
    deleteButtonTooltip: string;
    validationHintTooltip: string;
    operatorConvertor?: (operator: PghConditionOperators) => {};
    filtersConvertor?: (filters: unknown[]) => {};
    addButtonText?: string;
    hasDeleteButtonOnLengthOne?: boolean;
}
