import * as i0 from '@angular/core';
import { model, input, ViewEncapsulation, Component, NgModule } from '@angular/core';
import * as i1 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i2 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { CommonModule } from '@angular/common';

class PghHelpIndicatorComponent {
    constructor() {
        this.tooltip = model();
        this.tooltipFromDirectiveSelector = input('', {
            alias: 'pghHelpIndicator',
        });
    }
    ngOnInit() { }
    ngOnChanges(changes) {
        if (changes.tooltipFromDirectiveSelector) {
            this.tooltip.set(this.tooltipFromDirectiveSelector());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.13", type: PghHelpIndicatorComponent, isStandalone: false, selector: "pgh-help-indicator, [pghHelpIndicator]", inputs: { tooltip: { classPropertyName: "tooltip", publicName: "tooltip", isSignal: true, isRequired: false, transformFunction: null }, tooltipFromDirectiveSelector: { classPropertyName: "tooltipFromDirectiveSelector", publicName: "pghHelpIndicator", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { tooltip: "tooltipChange" }, usesOnChanges: true, ngImport: i0, template: "@if (tooltip()) {\n<span class=\"pgh-help-indicator\" [matTooltip]=\"tooltip()\">\n  <ng-content></ng-content>\n  <mat-icon svgIcon=\"info\" class=\"square-16\"></mat-icon>\n</span>\n}\n", styles: [".pgh-help-indicator{color:var(--555);font-size:.875rem;display:inline-flex;align-items:center;justify-content:center;vertical-align:middle}.pgh-is-active .pgh-help-indicator{color:var(--ddd)}th .pgh-help-indicator{margin-inline-start:.25rem}\n"], dependencies: [{ kind: "directive", type: i1.MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "component", type: i2.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'pgh-help-indicator, [pghHelpIndicator]', encapsulation: ViewEncapsulation.None, standalone: false, template: "@if (tooltip()) {\n<span class=\"pgh-help-indicator\" [matTooltip]=\"tooltip()\">\n  <ng-content></ng-content>\n  <mat-icon svgIcon=\"info\" class=\"square-16\"></mat-icon>\n</span>\n}\n", styles: [".pgh-help-indicator{color:var(--555);font-size:.875rem;display:inline-flex;align-items:center;justify-content:center;vertical-align:middle}.pgh-is-active .pgh-help-indicator{color:var(--ddd)}th .pgh-help-indicator{margin-inline-start:.25rem}\n"] }]
        }], ctorParameters: () => [] });

class PghHelpIndicatorModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorModule, declarations: [PghHelpIndicatorComponent], imports: [CommonModule, MatTooltipModule, MatIconModule], exports: [PghHelpIndicatorComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorModule, imports: [CommonModule, MatTooltipModule, MatIconModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghHelpIndicatorModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [PghHelpIndicatorComponent],
                    imports: [CommonModule, MatTooltipModule, MatIconModule],
                    exports: [PghHelpIndicatorComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PghHelpIndicatorComponent, PghHelpIndicatorModule };
//# sourceMappingURL=tapsellorg-angular-material-library-src-lib-help-indicator.mjs.map
