import * as i0 from '@angular/core';
import { output, ChangeDetectionStrategy, ViewEncapsulation, Component, NgModule } from '@angular/core';
import * as i1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i2 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i3 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import { CommonModule } from '@angular/common';

class PghRefreshButtonComponent {
    constructor() {
        this.refreshDataEvent = output();
    }
    refreshData() {
        this.refreshDataEvent.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: PghRefreshButtonComponent, isStandalone: false, selector: "pgh-refresh-button", outputs: { refreshDataEvent: "refreshDataEvent" }, ngImport: i0, template: "<button (click)=\"refreshData()\" [matTooltip]=\"'\u0628\u0647\u200C\u0631\u0648\u0632\u0631\u0633\u0627\u0646\u06CC'\" mat-icon-button>\n  <mat-icon svgIcon=\"autorenew\"></mat-icon>\n</button>\n", styles: [""], dependencies: [{ kind: "component", type: i1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i2.MatTooltip, selector: "[matTooltip]", inputs: ["matTooltipPosition", "matTooltipPositionAtOrigin", "matTooltipDisabled", "matTooltipShowDelay", "matTooltipHideDelay", "matTooltipTouchGestures", "matTooltip", "matTooltipClass"], exportAs: ["matTooltip"] }, { kind: "component", type: i3.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'pgh-refresh-button', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, standalone: false, template: "<button (click)=\"refreshData()\" [matTooltip]=\"'\u0628\u0647\u200C\u0631\u0648\u0632\u0631\u0633\u0627\u0646\u06CC'\" mat-icon-button>\n  <mat-icon svgIcon=\"autorenew\"></mat-icon>\n</button>\n" }]
        }], ctorParameters: () => [] });

class PghRefreshButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonModule, declarations: [PghRefreshButtonComponent], imports: [CommonModule, MatIconModule, MatTooltipModule, MatButtonModule], exports: [PghRefreshButtonComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonModule, imports: [CommonModule, MatIconModule, MatTooltipModule, MatButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: PghRefreshButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [PghRefreshButtonComponent],
                    imports: [CommonModule, MatIconModule, MatTooltipModule, MatButtonModule],
                    exports: [PghRefreshButtonComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PghRefreshButtonComponent, PghRefreshButtonModule };
//# sourceMappingURL=tapsellorg-angular-material-library-src-lib-refresh-button.mjs.map
