import { ChangeDetectorRef, TemplateRef, ViewContainerRef } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import { PghBreakpoint } from './breakpoints';
import * as i0 from "@angular/core";
declare const PghMediaDirective_base: (new (...args: any[]) => {
    _destroyed$: import("rxjs").Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghMediaDirective extends PghMediaDirective_base {
    private readonly viewContainer;
    private readonly template;
    private readonly breakpointObserver;
    private readonly cdr;
    mediaChange: import("@angular/core").WritableSignal<any>;
    ifMedia: import("@angular/core").InputSignalWithTransform<any, PghBreakpoint | PghBreakpoint[]>;
    private hasView;
    constructor(viewContainer: ViewContainerRef, template: TemplateRef<any>, breakpointObserver: BreakpointObserver, cdr: ChangeDetectorRef);
    private observeBreakpoints;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghMediaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghMediaDirective, "[ifMedia]", never, { "ifMedia": { "alias": "ifMedia"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
export {};
