import { MatSnackBarConfig } from '@angular/material/snack-bar';
export type PghNotifType = 'warning' | 'error' | 'info' | 'success';
export interface PghNotifTypeDef {
    cssClass: string;
    iconName: string;
}
export interface PghSnackBarOptions {
    description?: string;
    action?: string;
    closeOnAction?: boolean;
    config?: MatSnackBarConfig;
}
export type PghSnackBarData = PghSnackBarOptions & {
    message: string;
    iconName: string;
};
