import { BreakpointObserver } from '@angular/cdk/layout';
import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { PghAuthLayoutInfo, PghLayoutLogoInfo } from '../models';
import * as i0 from "@angular/core";
declare const PghAuthLayoutComponent_base: (new (...args: any[]) => {
    _destroyed$: import("rxjs").Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghAuthLayoutComponent extends PghAuthLayoutComponent_base implements OnInit {
    private router;
    private breakpointObserver;
    private cdr;
    readonly hasBackButton: import("@angular/core").InputSignal<boolean>;
    readonly hasBackToLogin: import("@angular/core").InputSignal<boolean>;
    readonly hasSupportButton: import("@angular/core").InputSignal<boolean>;
    readonly supportButtonClick: import("@angular/core").OutputEmitterRef<void>;
    readonly isUserPanel: import("@angular/core").InputSignal<boolean>;
    readonly loginButtonText: import("@angular/core").InputSignal<string>;
    readonly supportPhoneNumber: import("@angular/core").InputSignal<string>;
    readonly routeName: import("@angular/core").WritableSignal<string>;
    readonly isMobile: import("@angular/core").WritableSignal<boolean>;
    readonly layoutInfo: import("@angular/core").WritableSignal<PghAuthLayoutInfo | undefined>;
    readonly logos: import("@angular/core").InputSignal<PghLayoutLogoInfo[]>;
    isOpened: import("@angular/core").ModelSignal<boolean>;
    constructor(router: Router, breakpointObserver: BreakpointObserver, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onSupportClick(): void;
    goToLogin(): void;
    goBack(): void;
    goToRegister(): void;
    private onObserveBreakpoints;
    getRouteName(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghAuthLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghAuthLayoutComponent, "pgh-auth-layout", never, { "hasBackButton": { "alias": "hasBackButton"; "required": false; "isSignal": true; }; "hasBackToLogin": { "alias": "hasBackToLogin"; "required": false; "isSignal": true; }; "hasSupportButton": { "alias": "hasSupportButton"; "required": false; "isSignal": true; }; "isUserPanel": { "alias": "isUserPanel"; "required": false; "isSignal": true; }; "loginButtonText": { "alias": "loginButtonText"; "required": false; "isSignal": true; }; "supportPhoneNumber": { "alias": "supportPhoneNumber"; "required": false; "isSignal": true; }; "logos": { "alias": "logos"; "required": false; "isSignal": true; }; "isOpened": { "alias": "isOpened"; "required": false; "isSignal": true; }; }, { "supportButtonClick": "supportButtonClick"; "isOpened": "isOpenedChange"; }, never, ["*"], false, never>;
}
export {};
