import { FormGroup } from '@angular/forms';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghLayoutOtpLoginInfo, PghOtpLoginForm } from '../models';
import * as i0 from "@angular/core";
export declare class PghLoginOtpComponent {
    private formBuilder;
    readonly pageTitle: import("@angular/core").InputSignal<string>;
    readonly buttonText: import("@angular/core").InputSignal<string>;
    readonly description: import("@angular/core").InputSignal<string>;
    readonly submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    readonly formSubmit: import("@angular/core").OutputEmitterRef<PghOtpLoginForm>;
    readonly registrationFormContent: import("@angular/core").InputSignal<PghLayoutOtpLoginInfo>;
    form: FormGroup;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghLoginOtpComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghLoginOtpComponent, "pgh-login-otp", never, { "pageTitle": { "alias": "pageTitle"; "required": true; "isSignal": true; }; "buttonText": { "alias": "buttonText"; "required": true; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "registrationFormContent": { "alias": "registrationFormContent"; "required": false; "isSignal": true; }; }, { "formSubmit": "formSubmit"; }, never, never, true, never>;
}
