export interface PghLoginForm {
    email: string;
    password: string;
}
export interface PghRegisterForm {
    firstName: string;
    lastName: string;
    email: string;
    phone: string;
    password: string;
    acceptPolicies: boolean;
    userType: 'publisher' | 'advertiser' | 'both';
}
export type PghForgetPasswordForm = {
    email: string;
};
export interface PghLogo {
    src: string;
    width: number;
    height: number;
    alt?: string;
}
export type PghAuthLayoutInfo = Record<string, {
    sideTitle: string;
    redirectTitle: string;
    redirectPath: string;
}>;
export interface PghLayoutLogoInfo {
    src: string;
    alt: string;
    width: number;
}
export interface PghRegistrationFormContent {
    mainDescription: string;
    privacyAgencyTitle: string;
    privacyLink: string;
}
export interface PghLayoutOtpLoginInfo {
    privacyAgencyTitle: string;
    privacyLink: string;
}
export interface PghOtpLoginForm {
    phone: string;
}
export interface PghOtpCompleteUserDataForm extends Pick<PghRegisterForm, 'firstName' | 'lastName'> {
}
