import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghRegisterForm, PghRegistrationFormContent } from '../models';
import * as i0 from "@angular/core";
export declare class PghRegisterComponent {
    private formBuilder;
    formSubmit: import("@angular/core").OutputEmitterRef<PghRegisterForm>;
    submitLoader: import("@angular/core").InputSignal<PghLoader | undefined>;
    registrationFormContent: import("@angular/core").InputSignal<PghRegistrationFormContent>;
    userOptions: import("@angular/core").InputSignal<{
        value: string;
        label: string;
        description: string;
    }[]>;
    isPasswordRevealed: import("@angular/core").WritableSignal<boolean>;
    form: UntypedFormGroup;
    passwordValidationRules: {
        key: string;
        message: string;
    }[];
    constructor(formBuilder: UntypedFormBuilder);
    onUserTypeClick(value: string): void;
    onSubmit(): void;
    initializeOptions(): void;
    private getDefaultOptions;
    private setDefaultUserType;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghRegisterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghRegisterComponent, "pgh-register", never, { "submitLoader": { "alias": "submitLoader"; "required": false; "isSignal": true; }; "registrationFormContent": { "alias": "registrationFormContent"; "required": false; "isSignal": true; }; "userOptions": { "alias": "userOptions"; "required": false; "isSignal": true; }; }, { "formSubmit": "formSubmit"; }, never, never, false, never>;
}
