import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { PghErrorHandlerService } from './error-handler.service';
import { PghNotifService } from '@tapsellorg/angular-material-library/notif';
import * as i0 from "@angular/core";
export declare class PghErrorHandlerInterceptor implements HttpInterceptor {
    private pghErrorHandlerService;
    private pghNotifService;
    constructor(pghErrorHandlerService: PghErrorHandlerService, pghNotifService: PghNotifService);
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghErrorHandlerInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghErrorHandlerInterceptor>;
}
