import { PghStorageFactoryModel } from './models';
export declare class PghStorageFactory implements PghStorageFactoryModel {
    storage?: PghStorageFactoryModel;
    static readonly KEY_PREFIX = "_pgh-";
    inMemoryStorage: Record<string, string>;
    constructor(getStorage?: () => PghStorageFactoryModel);
    static localStorageFactory: () => PghStorageFactory;
    private checkStorageSupport;
    clear(): void;
    private static getPrefixedName;
    getItem(name: string): string | null;
    key(index: number): string | null;
    removeItem(name: string): void;
    setItem(name: string, value: string): void;
    get length(): number;
}
