import { Subject } from 'rxjs';
type Constructor<T = {}> = new (...args: any[]) => T;
export declare function withDestroy<T extends Constructor>(base?: T): {
    new (...args: any[]): {
        _destroyed$: Subject<unknown>;
        ngOnDestroy(): void;
    };
} & T;
export {};
