export type AnyObject = Record<string, any>;
declare class ObjectUtilsClass {
    convertObjToArrValues<T>(obj: Record<string, T>): T[];
    convertObjToArrKeyValue<T>(obj: Record<string, T>): {
        key: string;
        value: T;
    }[];
    cloneObjWithKeys<T extends AnyObject>(obj: T, keys: (keyof T)[]): {};
    removeNullKeysFromObject<T extends AnyObject>(obj: T): T;
    objectFilter<T extends AnyObject>(obj: T, keyFilterer: (key: keyof T, value: any) => boolean): T;
    isObject(item: any): any;
    /**
     * Deep merge two objects.
     */
    mergeDeep(target: AnyObject, ...sources: AnyObject[]): AnyObject;
    isEqualObject(obj1: AnyObject, obj2: AnyObject): boolean;
}
export declare const ObjectUtils: ObjectUtilsClass;
export {};
