import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { PghCountdownTimerService } from './countdown-timer.service';
import * as i0 from "@angular/core";
declare const PghCountdownTimerComponent_base: (new (...args: any[]) => {
    _destroyed$: Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghCountdownTimerComponent extends PghCountdownTimerComponent_base implements OnInit {
    private changeDetectorRef;
    private pghCountdownTimerService;
    durationInSeconds: import("@angular/core").ModelSignal<number>;
    startAutomatically: import("@angular/core").InputSignal<boolean>;
    restartButtonText: import("@angular/core").InputSignal<string>;
    buttonType: import("@angular/core").InputSignal<"submit" | "button">;
    timerFinished: import("@angular/core").OutputEmitterRef<boolean>;
    restartTimerClick: import("@angular/core").OutputEmitterRef<void>;
    private readonly _stop;
    remainingSeconds: import("@angular/core").WritableSignal<number>;
    remainingMinutes: import("@angular/core").WritableSignal<number>;
    private elapsedTime;
    isTimerRunning: import("@angular/core").WritableSignal<boolean>;
    private readonly TIMER_DELAY;
    private readonly TIMER_INTERVAL;
    private readonly SECONDS_IN_A_MINUTE;
    constructor(changeDetectorRef: ChangeDetectorRef, pghCountdownTimerService: PghCountdownTimerService);
    ngOnInit(): void;
    onRestartTimerClick(): void;
    private startTimer;
    private getTimeDifference;
    private allocateTimeUnits;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghCountdownTimerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghCountdownTimerComponent, "pgh-countdown-timer", never, { "durationInSeconds": { "alias": "durationInSeconds"; "required": false; "isSignal": true; }; "startAutomatically": { "alias": "startAutomatically"; "required": false; "isSignal": true; }; "restartButtonText": { "alias": "restartButtonText"; "required": false; "isSignal": true; }; "buttonType": { "alias": "buttonType"; "required": false; "isSignal": true; }; }, { "durationInSeconds": "durationInSecondsChange"; "timerFinished": "timerFinished"; "restartTimerClick": "restartTimerClick"; }, never, never, false, never>;
}
export {};
