import { OnChanges, TemplateRef } from '@angular/core';
import { PghLoader } from '@tapsellorg/angular-material-library/src/lib/loader';
import { PghCreativeType } from './models';
import * as i0 from "@angular/core";
export declare class PghCreativePreviewComponent implements OnChanges {
    muted: import("@angular/core").WritableSignal<boolean>;
    landscape: import("@angular/core").WritableSignal<boolean>;
    loader: PghLoader;
    loadingType: boolean;
    hasSoundType: import("@angular/core").WritableSignal<boolean>;
    hasError: import("@angular/core").WritableSignal<boolean>;
    creative: import("@angular/core").InputSignal<string | undefined>;
    template: import("@angular/core").InputSignal<TemplateRef<any> | undefined>;
    type: import("@angular/core").InputSignal<PghCreativeType>;
    constructor();
    ngOnChanges(): void;
    checkType(): void;
    setMediaType(): void;
    setLoader(): void;
    errorLoadingContent(): void;
    contentLoaded(): void;
    toggleMute(): void;
    toggleLandscape(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghCreativePreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghCreativePreviewComponent, "pgh-creative-preview", never, { "creative": { "alias": "pghCreative"; "required": false; "isSignal": true; }; "template": { "alias": "pghTemplate"; "required": false; "isSignal": true; }; "type": { "alias": "pghCreativeType"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
