import { DateAdapter } from '@angular/material/core';
import { DateRange, MatDateRangeSelectionStrategy } from '@angular/material/datepicker';
import * as i0 from "@angular/core";
export declare class PghDateRangePickerSelectionStrategy<D> implements MatDateRangeSelectionStrategy<D> {
    private _dateAdapter;
    delta?: number;
    start?: D;
    constructor(_dateAdapter: DateAdapter<D>);
    selectionFinished(date: D, currentRange: DateRange<D>): DateRange<D>;
    createPreview(activeDate: D | null, currentRange: DateRange<D>): DateRange<D>;
    setMaxRange(maxRange: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghDateRangePickerSelectionStrategy<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghDateRangePickerSelectionStrategy<any>>;
}
