import { MaterialJalaliDateAdapter } from '@tapsellorg/angular-material-library/src/lib/jalali-date-adapter';
import { PghDatePickerSavedItem, PghEnrichedDateRange, PghJalaliDateRange, PghPredefinedDate } from './models';
export declare class PghPredefinedRangeCalculator {
    private dateAdapter;
    constructor(dateAdapter: MaterialJalaliDateAdapter);
    static getEnrichedDateRange(range: PghJalaliDateRange, predefined?: PghPredefinedDate): PghEnrichedDateRange | undefined;
    extractRangeFromSavedItem(savedDateRange: PghDatePickerSavedItem): PghJalaliDateRange | undefined;
    calculateDateRange(range: PghPredefinedDate | undefined): PghJalaliDateRange | undefined;
    private calculateMonth;
    private calculateWeek;
}
