import { AfterViewInit, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { PghFilterChipConfig, PghFilterChipInitValue, PghFilterChipItemsConnectorOptions } from '../models';
import { PghFilterChipsMarkerDirective } from '../filter-chips.directive';
import * as i0 from "@angular/core";
export declare class PghFilterChipAutoCompleteComponent implements OnChanges, AfterViewInit {
    private filterChipsMarkerConnector;
    filter: import("@angular/core").InputSignal<PghFilterChipConfig>;
    initialValue: import("@angular/core").InputSignal<PghFilterChipInitValue<any> | null | undefined>;
    options: import("@angular/core").InputSignal<{
        value: any;
        name: string;
        searchList?: string[];
    }[]>;
    isLoadingOptions: import("@angular/core").InputSignal<boolean>;
    templateRef?: TemplateRef<any>;
    filteredOptions: import("@angular/core").WritableSignal<any>;
    filterMarker?: PghFilterChipsMarkerDirective;
    constructor(filterChipsMarkerConnector: PghFilterChipItemsConnectorOptions);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _filter;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghFilterChipAutoCompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghFilterChipAutoCompleteComponent, "pgh-filter-chip-auto-complete", never, { "filter": { "alias": "filter"; "required": true; "isSignal": true; }; "initialValue": { "alias": "initialValue"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; "isLoadingOptions": { "alias": "isLoadingOptions"; "required": false; "isSignal": true; }; }, {}, ["templateRef"], never, false, never>;
}
