import { AfterViewInit, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { PghFilterChipConfig, PghFilterChipItemsConnectorOptions } from '../models';
import { UntypedFormControl } from '@angular/forms';
import { PghFilterChipsMarkerDirective } from '../filter-chips.directive';
import * as i0 from "@angular/core";
export declare class PghFilterChipInputComponent implements OnInit, OnChanges, AfterViewInit {
    private filterChipsMarkerConnector;
    filter: import("@angular/core").InputSignal<PghFilterChipConfig>;
    initialValue: import("@angular/core").InputSignal<string | null | undefined>;
    filterMarker?: PghFilterChipsMarkerDirective;
    inputFormControl: UntypedFormControl;
    get isLive(): boolean;
    constructor(filterChipsMarkerConnector: PghFilterChipItemsConnectorOptions);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    handleInputControlChanges(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghFilterChipInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghFilterChipInputComponent, "pgh-filter-chip-input", never, { "filter": { "alias": "filter"; "required": true; "isSignal": true; }; "initialValue": { "alias": "initialValue"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
