import { AfterViewInit, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { PghFilterChipConfig, PghFilterChipInitValue, PghFilterChipItemsConnectorOptions } from '../models';
import { PghFilterChipsMarkerDirective } from '../filter-chips.directive';
import { PghFilterChipsMultiSelectOption } from './model';
import * as i0 from "@angular/core";
export declare class PghFilterChipMultiSelectComponent implements OnChanges, AfterViewInit {
    private filterChipsMarkerConnector;
    filter: import("@angular/core").InputSignal<PghFilterChipConfig>;
    initialValue: import("@angular/core").InputSignal<PghFilterChipInitValue<any>[] | null | undefined>;
    options: import("@angular/core").InputSignal<PghFilterChipsMultiSelectOption[]>;
    multiSelectChipTemplate?: TemplateRef<any>;
    filterMarker?: PghFilterChipsMarkerDirective;
    valueForAll: import("@angular/core").WritableSignal<PghFilterChipsMultiSelectOption>;
    constructor(filterChipsMarkerConnector: PghFilterChipItemsConnectorOptions);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getOptionsNames(filter: PghFilterChipConfig, values: any[]): string[];
    filterItemWithChipTemplate(filter: PghFilterChipConfig, chipTemplate: TemplateRef<any>): PghFilterChipConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghFilterChipMultiSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghFilterChipMultiSelectComponent, "pgh-filter-chip-multi-select", never, { "filter": { "alias": "filter"; "required": true; "isSignal": true; }; "initialValue": { "alias": "initialValue"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
