import { ControlValueAccessor } from '@angular/forms';
import { PghHourRange } from './models';
import { ThemePalette } from '@angular/material/core';
import * as i0 from "@angular/core";
export declare class PghHourRangePickerComponent implements ControlValueAccessor {
    color: import("@angular/core").InputSignal<ThemePalette>;
    startHourOptions: import("@angular/core").InputSignal<number[]>;
    endHourOptions: import("@angular/core").InputSignal<number[]>;
    startTime: import("@angular/core").ModelSignal<number | undefined>;
    endTime: import("@angular/core").ModelSignal<number | undefined>;
    filteredEndHourOptions: import("@angular/core").Signal<number[]>;
    private controlOnChange?;
    constructor();
    startTimeChange(): void;
    endTimeChange(): void;
    writeValue(value: Partial<PghHourRange>): void;
    registerOnChange(fn: (newValue: any) => void): void;
    registerOnTouched(_fn: any): void;
    private updateHourRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghHourRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghHourRangePickerComponent, "pgh-hour-range-picker", never, { "color": { "alias": "color"; "required": false; "isSignal": true; }; "startHourOptions": { "alias": "startHourOptions"; "required": false; "isSignal": true; }; "endHourOptions": { "alias": "endHourOptions"; "required": false; "isSignal": true; }; "startTime": { "alias": "startTime"; "required": false; "isSignal": true; }; "endTime": { "alias": "endTime"; "required": false; "isSignal": true; }; }, { "startTime": "startTimeChange"; "endTime": "endTimeChange"; }, never, never, false, never>;
}
