import { ControlValueAccessor, UntypedFormControl } from '@angular/forms';
import { PghHourRange } from '../models';
import { ThemePalette } from '@angular/material/core';
import * as i0 from "@angular/core";
export declare class PghHoursRangeChipsComponent implements ControlValueAccessor {
    color: import("@angular/core").InputSignal<ThemePalette>;
    customHourConflictError: import("@angular/core").InputSignal<string>;
    removable: import("@angular/core").InputSignal<boolean>;
    selectedHours: import("@angular/core").WritableSignal<PghHourRange[]>;
    startHourOptions: import("@angular/core").InputSignal<number[]>;
    endHourOptions: import("@angular/core").InputSignal<number[]>;
    newHourRange: UntypedFormControl;
    private onChange?;
    private onTouched?;
    isShowingError: import("@angular/core").WritableSignal<boolean>;
    constructor();
    removeHourRange(hourRange: PghHourRange): void;
    private setActiveHours;
    writeValue(value: any): void;
    isHourRange(obj: any): obj is PghHourRange;
    registerOnChange(fn: (newValue: any) => void): void;
    registerOnTouched(fn: () => void): void;
    private hasConflictWithOtherRanges;
    submitAddHourRange(): void;
    showError(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghHoursRangeChipsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghHoursRangeChipsComponent, "pgh-hours-range-chips", never, { "color": { "alias": "color"; "required": false; "isSignal": true; }; "customHourConflictError": { "alias": "customHourConflictError"; "required": false; "isSignal": true; }; "removable": { "alias": "removable"; "required": false; "isSignal": true; }; "startHourOptions": { "alias": "startHourOptions"; "required": false; "isSignal": true; }; "endHourOptions": { "alias": "endHourOptions"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
