import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { PghIndicatorColor, PghIndicatorPersistData } from './indicator.models';
import { PghIndicatorPersistService } from './pgh-indicator-persist.service';
import * as i0 from "@angular/core";
export declare class PghIndicatorDirective implements OnInit, OnChanges {
    private _elementRef;
    private indicatorPersistService;
    color: import("@angular/core").InputSignal<PghIndicatorColor>;
    persistData: import("@angular/core").InputSignal<PghIndicatorPersistData>;
    position: import("@angular/core").InputSignal<"top start" | "top end" | "bottom start" | "bottom end">;
    hidden: import("@angular/core").ModelSignal<boolean>;
    private element;
    constructor(_elementRef: ElementRef<HTMLElement>, indicatorPersistService: PghIndicatorPersistService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private handlePersistence;
    private configLoaderAttributes;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghIndicatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghIndicatorDirective, "[pghIndicator]", ["pghIndicator"], { "color": { "alias": "pghIndicatorColor"; "required": false; "isSignal": true; }; "persistData": { "alias": "pghIndicatorPersistData"; "required": false; "isSignal": true; }; "position": { "alias": "pghIndicatorPosition"; "required": false; "isSignal": true; }; "hidden": { "alias": "pghIndicatorHidden"; "required": false; "isSignal": true; }; }, { "hidden": "pghIndicatorHiddenChange"; }, never, never, false, never>;
}
