import { ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Router } from '@angular/router';
import { BreakpointObserver } from '@angular/cdk/layout';
import { PghSidebarStyle } from './layout.models';
import * as i0 from "@angular/core";
declare const PghLayoutComponent_base: (new (...args: any[]) => {
    _destroyed$: import("rxjs").Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghLayoutComponent extends PghLayoutComponent_base {
    private sidebarItemsLength$;
    private router;
    private cdr;
    private breakpointObserver;
    private readonly SIDEBAR_ITEM_MIN_HEIGHT;
    sidebarStyle: import("@angular/core").InputSignal<PghSidebarStyle>;
    hideSideBar: import("@angular/core").InputSignal<boolean>;
    isExpanded: import("@angular/core").WritableSignal<boolean>;
    isScrolled: import("@angular/core").WritableSignal<boolean>;
    isSmallMenu: import("@angular/core").WritableSignal<boolean>;
    isMobile: import("@angular/core").WritableSignal<boolean>;
    private numberOfSidebarItems;
    constructor(sidebarItemsLength$: BehaviorSubject<number>, router: Router, cdr: ChangeDetectorRef, breakpointObserver: BreakpointObserver);
    private onObserveBreakpoints;
    private onChangeMenuStyle;
    private onCloseMenuAfterItemClicked;
    onScroll(_event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghLayoutComponent, "pgh-layout", never, { "sidebarStyle": { "alias": "sidebarStyle"; "required": false; "isSignal": true; }; "hideSideBar": { "alias": "hideSideBar"; "required": false; "isSignal": true; }; }, {}, never, ["[pgh-header-content]", "[pgh-sidebar-content]", "*"], false, never>;
}
export {};
