import { ThemePalette } from '@angular/material/core';
export type PghLoaderTypePiece = 'big' | 'small' | 'overlay' | 'accent' | 'button' | 'default';
export type PghLoaderType = PghLoaderTypePiece | PghLoaderTypePiece[];
export interface PghLoaderConfig {
    disabledWhileLoading?: boolean | null;
    color?: 'primary' | 'accent' | null;
}
export interface PghLoaderToggleable {
    activate: () => void;
    deactivate: () => void;
}
export type PghLoaderColor = ThemePalette;
