import { SortDirection } from '@angular/material/sort';
import { PghFilterChipsSearchEvent } from '@tapsellorg/angular-material-library/src/lib/filter-chips';
import { PghDateRangeChangeEvent } from '@tapsellorg/angular-material-library/src/lib/date-range-picker';
export interface PghTableDataSourceParams {
    pageOptions: {
        index: number;
        size: number;
    };
    sortOptions?: {
        field: string;
        direction: SortDirection;
    };
    filterChipsFilterData?: PghFilterChipsSearchEvent;
    dateRangePickerSelectedRange?: PghDateRangeChangeEvent;
}
export interface PghTableDataSourceLoadResponse<T> {
    data: T[];
    totalItems: number;
}
