import { AfterViewInit } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { PghFilterChipsComponent } from '@tapsellorg/angular-material-library/src/lib/filter-chips';
import { PghTableDateRangePickerDirective } from '../table-date-range-picker.directive';
import { PghTableHeaderDirective } from '../table-header.directive';
import { PghDateRangePickerComponent } from '@tapsellorg/angular-material-library/src/lib/date-range-picker';
import { MatSort } from '@angular/material/sort';
import { PghTableDatasource } from '../public-api';
import { PghRefreshButtonComponent } from '@tapsellorg/angular-material-library/src/lib/refresh-button';
import * as i0 from "@angular/core";
export declare class PghTableBoxComponent implements AfterViewInit {
    tableTitle: import("@angular/core").InputSignal<string | undefined>;
    datasource: import("@angular/core").InputSignal<PghTableDatasource<any> | undefined>;
    filterChipsComponent?: PghFilterChipsComponent;
    matPaginator?: MatPaginator;
    matSort?: MatSort;
    dateRangePickerComponent?: PghDateRangePickerComponent;
    dateRangePickerDirective?: PghTableDateRangePickerDirective;
    headerDirective?: PghTableHeaderDirective;
    refreshButtonComponent?: PghRefreshButtonComponent;
    constructor();
    ngAfterViewInit(): void;
    initializeDatasource(): void;
    getTableData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghTableBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghTableBoxComponent, "pgh-table-box", never, { "tableTitle": { "alias": "tableTitle"; "required": false; "isSignal": true; }; "datasource": { "alias": "datasource"; "required": false; "isSignal": true; }; }, {}, ["filterChipsComponent", "matPaginator", "matSort", "dateRangePickerComponent", "dateRangePickerDirective", "headerDirective", "refreshButtonComponent"], ["[pgh-table-header]", "[pgh-table-date-range-picker]", "[pgh-table-refresh-button]", "pgh-filter-chips", "[pgh-table-filters]", "[pgh-action-buttons]", "*", "mat-paginator"], false, never>;
}
