import { ActivatedRouteSnapshot, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { PghSsoService } from '../sso-logic/sso.service';
import { PghSsoConfig } from '../sso-logic/models';
import { PghSsoRedirectService } from '../sso-logic/sso-redirect.service';
import * as i0 from "@angular/core";
export declare class PghSsoAuthorizedGuard {
    private ssoService;
    private pghSsoRedirectService;
    private router;
    private readonly ssoConfig;
    constructor(ssoService: PghSsoService, pghSsoRedirectService: PghSsoRedirectService, router: Router, ssoConfig: PghSsoConfig);
    canActivate(route: ActivatedRouteSnapshot, _state: RouterStateSnapshot): Observable<boolean> | boolean;
    private authenticateWithUuid;
    private handleAuthData;
    private verifyLoginStatus;
    private redirectToLogin;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSsoAuthorizedGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghSsoAuthorizedGuard>;
}
