import { HttpClient } from '@angular/common/http';
import { PghSsoConfig } from '../sso-logic/models';
import { PghSsoService } from '../sso-logic/sso.service';
import * as i0 from "@angular/core";
export declare class PghLoginAsUserDirective {
    private http;
    private readonly ssoConfig;
    private pghSsoService;
    url: import("@angular/core").InputSignal<string | undefined>;
    userEmail: import("@angular/core").InputSignal<string | undefined>;
    exposeTokenInUrl: import("@angular/core").InputSignal<boolean>;
    constructor(http: HttpClient, ssoConfig: PghSsoConfig, pghSsoService: PghSsoService);
    onClick(): void;
    private impersonateUser;
    private openLoadingTab;
    private directNavigation;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghLoginAsUserDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PghLoginAsUserDirective, "[pghLoginAsUser]", never, { "url": { "alias": "url"; "required": false; "isSignal": true; }; "userEmail": { "alias": "userEmail"; "required": false; "isSignal": true; }; "exposeTokenInUrl": { "alias": "exposeTokenInUrl"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
