import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { PghServiceShortcut } from './models';
import { PghIndicatorColor, PghIndicatorPersistData } from '@tapsellorg/angular-material-library/src/lib/indicator';
import { PghDarkModeService } from '@tapsellorg/angular-material-library/src/lib/common';
import * as i0 from "@angular/core";
export declare class PghServicesShortcutComponent implements OnInit, OnChanges {
    private darkModeService;
    hideIndicator: import("@angular/core").InputSignal<boolean>;
    indicatorColor: import("@angular/core").InputSignal<PghIndicatorColor>;
    servicesShortcuts: import("@angular/core").InputSignal<PghServiceShortcut[]>;
    isAdmin: import("@angular/core").InputSignal<boolean>;
    constructor(darkModeService: PghDarkModeService);
    services: import("@angular/core").WritableSignal<(PghServiceShortcut & {
        isCurrentService: boolean;
    })[]>;
    indicatorPersistData: import("@angular/core").WritableSignal<PghIndicatorPersistData>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setServicesShortcuts(): void;
    get isDarkModeEnabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghServicesShortcutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PghServicesShortcutComponent, "pgh-services-shortcut", never, { "hideIndicator": { "alias": "hideIndicator"; "required": false; "isSignal": true; }; "indicatorColor": { "alias": "indicatorColor"; "required": false; "isSignal": true; }; "servicesShortcuts": { "alias": "servicesShortcuts"; "required": false; "isSignal": true; }; "isAdmin": { "alias": "isAdmin"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}
