import { ActivatedRoute, Router, UrlTree } from '@angular/router';
import { PghSsoService } from './sso.service';
import { PghLoginQueryParams, PghSsoConfig } from './models';
import { PghSsoImpersonateData } from '../login-as-user/login-as-user.model';
import * as i0 from "@angular/core";
declare const PghSsoRedirectService_base: (new (...args: any[]) => {
    _destroyed$: import("rxjs").Subject<unknown>;
    ngOnDestroy(): void;
}) & (new (...args: any[]) => {});
export declare class PghSsoRedirectService extends PghSsoRedirectService_base {
    private activatedRoute;
    private router;
    private pghSsoService;
    private readonly ssoConfig;
    redirectUrl?: string;
    constructor(activatedRoute: ActivatedRoute, router: Router, pghSsoService: PghSsoService, ssoConfig: PghSsoConfig);
    private setupRedirectUrlRetriever;
    retrieveRedirectUrl(queryParams: PghLoginQueryParams): string | undefined;
    retrieveUuidAndNavigate(tokenData: PghSsoImpersonateData): void;
    /**
     * @param useParseUrl: used for guards
     */
    navigateToRetrievedRedirectUrl(useParseUrl: true): UrlTree;
    navigateToRetrievedRedirectUrl(useParseUrl: false): void;
    navigateToRetrievedRedirectUrl(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PghSsoRedirectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PghSsoRedirectService>;
}
export {};
